## r-cran-lintr 3.0.0

=== debian/changelog ===
r-cran-lintr (3.0.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)

  [ Andrius Merkys ]
  * New upstream version 3.0.0
  * Update debian/copyright to closer reflect LICENSE file.
  * Update dependencies with dh-update-R.

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Jun 2022 01:57:27 -0400

r-cran-lintr (2.0.1-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Fri, 13 May 2022 01:09:30 -0400

r-cran-lintr (2.0.1-1) unstable; urgency=medium

  * Initial release (closes: #1010661)

 -- Andrius Merkys <merkys@debian.org>  Fri, 06 May 2022 07:09:38 -0400
