=== tests/testthat/dummy_packages/clean_subdir/r/DESCRIPTION ===
Package: clean
Version: 0.0.1
