=== debian/changelog ===
r-cran-lintr (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2

 -- Andrius Merkys <merkys@debian.org>  Thu, 20 Oct 2022 01:30:23 -0400

r-cran-lintr (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Andrius Merkys <merkys@debian.org>  Wed, 14 Sep 2022 08:26:55 -0400
