=== debian/control ===
Source: r-cran-lintr
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andrius Merkys <merkys@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lintr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lintr.git
Homepage: https://cran.r-project.org/package=lintr
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rex,
               r-cran-crayon,
               r-cran-codetools,
               r-cran-cyclocomp,
               r-cran-digest,
               r-cran-glue,
               r-cran-jsonlite,
               r-cran-knitr,
               r-cran-xml2 (>= 1.0.0),
               r-cran-xmlparsedata (>= 1.0.3),
               r-cran-backports
Testsuite: autopkgtest-pkg-r

Package: r-cran-lintr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Linter for R Code
 Checks adherence to a given style, syntax errors and possible semantic issues.
 Supports on the fly checking of R code edited with RStudio IDE, Emacs, Vim,
 Sublime Text and Atom.
