## r-cran-lintr 3.1.0

=== debian/changelog ===
r-cran-lintr (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0

 -- Andrius Merkys <merkys@debian.org>  Mon, 24 Jul 2023 02:20:39 -0400
