=== debian/control ===
--- 
+++ 
@@ -11,17 +11,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rex,
-               r-cran-crayon,
+               r-cran-backports,
                r-cran-codetools,
                r-cran-cyclocomp,
                r-cran-digest,
                r-cran-glue,
-               r-cran-jsonlite,
                r-cran-knitr,
+               r-cran-rex,
                r-cran-xml2 (>= 1.0.0),
-               r-cran-xmlparsedata (>= 1.0.3),
-               r-cran-backports
+               r-cran-xmlparsedata (>= 1.0.5)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-lintr
