## r-cran-lintr 3.1.1

=== tests/testthat/dummy_packages/clean/DESCRIPTION ===
Package: clean
Version: 0.0.1
RoxygenNote: 7.2.2
