=== tests/testthat/dummy_packages/missing_dep/DESCRIPTION ===
Package: downstream
Version: 0.0.1
Imports: myFancyUpstream
