=== debian/changelog ===
r-cran-lintr (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add autopkgtest
  * Add further false positive to lintian-overrides

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 09:04:28 +0100
