=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bookdown,
        r-cran-crayon,
        r-cran-httr (>= 1.2.1),
        r-cran-jsonlite,
        r-cran-mockery,
        r-cran-patrick,
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-rstudioapi (>= 0.2),
        r-cran-testthat (>= 3.1.5),
        r-cran-tibble,
        r-cran-tufte,
        r-cran-withr (>= 2.5.0)
Restrictions: allow-stderr
