=== debian/changelog ===
r-cran-lintr (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Refresh debian/source/lintian-overrides.

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Mar 2024 04:15:16 -0400
