=== tests/testthat/dummy_packages/RConfig/DESCRIPTION ===
Package: RConfig
Version: 0.0.1
