=== tests/testthat/dummy_packages/RConfigInvalid/DESCRIPTION ===
Package: RConfigInvalid
Version: 0.0.1
