=== tests/testthat/dummy_packages/no_export_dep/DESCRIPTION ===
Package: downstream
Version: 0.0.1
Imports: datasets
