=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-backports,
+               r-cran-backports (>= 1.4.0),
+               r-cran-cli (>= 3.4.0),
                r-cran-codetools,
-               r-cran-cyclocomp,
                r-cran-digest,
                r-cran-glue,
                r-cran-knitr,
                r-cran-rex,
                r-cran-xml2,
                r-cran-xmlparsedata
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lintr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lintr.git
 Homepage: https://cran.r-project.org/package=lintr
