=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bookdown,
        r-cran-cyclocomp,
        r-cran-jsonlite,
        r-cran-patrick (>= 0.2.0),
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-rstudioapi (>= 0.2),
        r-cran-testthat (>= 3.2.1),
        r-cran-tibble,
        r-cran-tufte,
        r-cran-withr (>= 2.5.0)
Restrictions: allow-stderr
