=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/lintr_([-\d.]*)\.tar\.gz
