## r-cran-lintr 3.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Package: lintr
 Title: A 'Linter' for R Code
-Version: 3.2.0
+Version: 3.3.0-1
 Authors@R: c(
     person("Jim", "Hester", , role = "aut"),
     person("Florent", "Angly", role = "aut",
-           comment = "fangly"),
+           comment = c(GitHub = "fangly")),
     person("Russ", "Hyde", role = "aut"),
-    person("Michael", "Chirico", email = "michaelchirico4@gmail.com", role = c("aut", "cre")),
+    person("Michael", "Chirico", email = "michaelchirico4@gmail.com", role = c("aut", "cre"),
+           comment = c(ORCID = "0000-0003-0787-087X")),
     person("Kun", "Ren", role = "aut"),
     person("Alexander", "Rosenstock", role = "aut",
-           comment = "AshesITR"),
-    person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = "aut",
-           comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets"))
+           comment = c(GitHub = "AshesITR")),
+    person("Indrajeet", "Patil", email = "patilindrajeet.science@gmail.com", role = "aut",
+           comment = c(ORCID = "0000-0003-1995-6531")),
+    person("Hugo", "Gruson", role = "aut",
+           comment = c(ORCID = "0000-0002-4094-1476"))
   )
 Description: Checks adherence to a given style, syntax errors and possible
     semantic issues.  Supports on the fly checking of R code edited with
@@ -21,30 +24,30 @@
 URL: https://lintr.r-lib.org, https://github.com/r-lib/lintr
 BugReports: https://github.com/r-lib/lintr/issues
 Depends: R (>= 4.0)
-Imports: backports (>= 1.4.0), cli (>= 3.4.0), codetools, digest, glue,
-        knitr, rex, stats, utils, xml2 (>= 1.0.0), xmlparsedata (>=
-        1.0.5)
+Imports: backports (>= 1.5.0), cli (>= 3.4.0), codetools, digest, glue,
+        knitr, rex, stats, utils, xfun, xml2 (>= 1.0.0), xmlparsedata
+        (>= 1.0.5)
 Suggests: bookdown, cyclocomp, jsonlite, patrick (>= 0.2.0), rlang,
         rmarkdown, rstudioapi (>= 0.2), testthat (>= 3.2.1), tibble,
         tufte, withr (>= 2.5.0)
 Enhances: data.table
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
-Config/Needs/development: pkgload, cli, testthat, patrick
+Config/Needs/development: pkgload, testthat, patrick
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Collate: 'make_linter_from_xpath.R' 'xp_utils.R' 'utils.R' 'AAA.R'
         'T_and_F_symbol_linter.R' 'absolute_path_linter.R' 'actions.R'
-        'addins.R' 'any_duplicated_linter.R' 'any_is_na_linter.R'
-        'assignment_linter.R' 'backport_linter.R'
+        'addins.R' 'all_equal_linter.R' 'any_duplicated_linter.R'
+        'any_is_na_linter.R' 'assignment_linter.R' 'backport_linter.R'
         'boolean_arithmetic_linter.R' 'brace_linter.R' 'cache.R'
-        'class_equals_linter.R' 'commas_linter.R'
+        'class_equals_linter.R' 'coalesce_linter.R' 'commas_linter.R'
         'commented_code_linter.R' 'comparison_negation_linter.R'
         'condition_call_linter.R' 'condition_message_linter.R'
         'conjunct_test_linter.R' 'consecutive_assertion_linter.R'
         'consecutive_mutate_linter.R' 'cyclocomp_linter.R'
-        'declared_functions.R' 'deprecated.R'
+        'declared_functions.R' 'deprecated.R' 'download_file_linter.R'
         'duplicate_argument_linter.R' 'empty_assignment_linter.R'
         'equals_na_linter.R' 'exclude.R' 'expect_comparison_linter.R'
         'expect_identical_linter.R' 'expect_length_linter.R'
@@ -64,7 +67,7 @@
         'length_test_linter.R' 'lengths_linter.R'
         'library_call_linter.R' 'line_length_linter.R' 'lint.R'
         'linter_tag_docs.R' 'linter_tags.R' 'lintr-deprecated.R'
-        'lintr-package.R' 'list_comparison_linter.R'
+        'lintr-package.R' 'list2df_linter.R' 'list_comparison_linter.R'
         'literal_coercion_linter.R' 'make_linter_from_regex.R'
         'matrix_apply_linter.R' 'methods.R' 'missing_argument_linter.R'
         'missing_package_linter.R' 'namespace.R' 'namespace_linter.R'
@@ -101,15 +104,16 @@
         'yoda_test_linter.R' 'zzz.R'
 Language: en-US
 NeedsCompilation: no
-Packaged: 2025-02-12 00:10:30 UTC; root
+Packaged: 2025-11-26 20:56:52 UTC; root
 Author: Jim Hester [aut],
-  Florent Angly [aut] (fangly),
+  Florent Angly [aut] (GitHub: fangly),
   Russ Hyde [aut],
-  Michael Chirico [aut, cre],
+  Michael Chirico [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-0787-087X>),
   Kun Ren [aut],
-  Alexander Rosenstock [aut] (AshesITR),
-  Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>,
-    @patilindrajeets)
+  Alexander Rosenstock [aut] (GitHub: AshesITR),
+  Indrajeet Patil [aut] (ORCID: <https://orcid.org/0000-0003-1995-6531>),
+  Hugo Gruson [aut] (ORCID: <https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Michael Chirico <michaelchirico4@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-02-12 15:00:02 UTC
+Date/Publication: 2025-11-27 07:30:02 UTC
