=== debian/control ===
--- 
+++ 
@@ -7,16 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-backports (>= 1.4.0),
-               r-cran-cli (>= 3.4.0),
+               r-cran-backports (>= 1.5.0),
+               r-cran-cli,
                r-cran-codetools,
                r-cran-digest,
                r-cran-glue,
                r-cran-knitr,
                r-cran-rex,
+               r-cran-xfun,
                r-cran-xml2,
-               r-cran-xmlparsedata
-Standards-Version: 4.7.0
+               r-cran-xmlparsedata,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lintr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lintr.git
 Homepage: https://cran.r-project.org/package=lintr
